Sponsor-Board.de
Antwort schreiben  Thema schreiben 

Verschiedene Versionen Java nutzen?

Verfasser Nachricht

Beiträge: 333
Bewertung: 2
Registriert seit: Aug 2011
Status: offline


Beitrag: #1
Verschiedene Versionen Java nutzen?

Guten Tag zusammen,

ich habe eine Frage, die vielleicht dumm ist, aber ich finde dazu bei Google einfach nichts, daher hoffe ich, dass mir hier jemand helfen kann.^^

Meine Frage ist, wie man 2 verschiedene Versionen Java auf einem Ubuntu 20.04 Server nutzen kann, denn ich möchte auf meinem Server ein Lavalink v3 und Lavalink v4 Server für meine Discord Bots laufen lassen, dass Problem ist, dass Lavalink v3 Java 13 benötigt und Lavalink v4 Java 17.

Ich würde mich echt freuen, wenn mir da jemand helfen könnte.

Mit freundlichen Grüßen
Nesh


Besucht uns:
[Link: Registrierung erforderlich] | [Link: Registrierung erforderlich] | [Link: Registrierung erforderlich]

Vote für unser Rustserver
[Link: Registrierung erforderlich]

23.03.2024 18:01
 
Alle Beiträge dieses Benutzers finden Diese Nachricht in einer Antwort zitieren

Beiträge: 764
Bewertung: 68
Registriert seit: Apr 2011
Status: offline


Beitrag: #2
RE: Verschiedene Versionen Java nutzen?

Ich weiß nicht ob es da elegantere Lösungen gibt, aber was funktionieren würde ist manuell eine Verknüpfung für beide Java Versionen zu erstellen.

Code:
ln -s /usr/bin/java17 /path/to/java17


Und dann "java17" anstelle von "java" nutzen.


[Link: Registrierung erforderlich]
Sascha Händler, Laufenstr. 65
Internet: [Link: Registrierung erforderlich]
Tel.: +49-2472-99580-10
Support: helpdesk [at] kts24.com

Dieser Beitrag wurde zuletzt bearbeitet: 23.03.2024 18:13 von RapToN.

23.03.2024 18:12
 
Webseite des Benutzers besuchen Alle Beiträge dieses Benutzers finden Diese Nachricht in einer Antwort zitieren

Beiträge: 333
Bewertung: 2
Registriert seit: Aug 2011
Status: offline


Beitrag: #3
RE: Verschiedene Versionen Java nutzen?

RapToN schrieb:
Ich weiß nicht ob es da elegantere Lösungen gibt, aber was funktionieren würde ist manuell eine Verknüpfung für beide Java Versionen zu erstellen.

Code:
ln -s /usr/bin/java17 /path/to/java17


Und dann "java17" anstelle von "java" nutzen.

Erstmal vielen Dank, ich hab es jetzt so eingegeben

Code:
ln -s /usr/bin/java17 /usr/lib/zulu17-ca-amd64

, doch wenn ich dann java17 -jar Lavalink.jar steht dort nur, java17 ist kein command, hab ich was falsch gemacht?xD


Besucht uns:
[Link: Registrierung erforderlich] | [Link: Registrierung erforderlich] | [Link: Registrierung erforderlich]

Vote für unser Rustserver
[Link: Registrierung erforderlich]

23.03.2024 19:03
 
Alle Beiträge dieses Benutzers finden Diese Nachricht in einer Antwort zitieren

Beiträge: 13
Bewertung: 1
Registriert seit: Sep 2015
Status: offline


Beitrag: #4
RE: Verschiedene Versionen Java nutzen?

Hallo,

ich würde es mal so probieren...

java installieren:

Code:
sudo apt install openjdk-13-jdk openjdk-17-jdk


jeweils ein Skript für die beiden Versionen erstellen z.b. über

Code:
nano lavalink_start_v3.sh


dann folgendes eingeben:

Code:
#!/bin/bash
export JAVA_HOME=/path/to/java13
$JAVA_HOME/bin/java -jar /path/to/lavalink_v3/Lavalink.jar


dann

Code:
chmod +x lavalink_start_v3.sh


und dann ausführen zum starten: ./lavalink_start_v3.sh

gleiches für lavalink v4

23.03.2024 21:53
 
Alle Beiträge dieses Benutzers finden Diese Nachricht in einer Antwort zitieren

Beiträge: 333
Bewertung: 2
Registriert seit: Aug 2011
Status: offline


Beitrag: #5
RE: Verschiedene Versionen Java nutzen?

Laraker schrieb:
Hallo,

ich würde es mal so probieren...

java installieren:

Code:
sudo apt install openjdk-13-jdk openjdk-17-jdk


jeweils ein Skript für die beiden Versionen erstellen z.b. über

Code:
nano lavalink_start_v3.sh


dann folgendes eingeben:

Code:
#!/bin/bash
export JAVA_HOME=/path/to/java13
$JAVA_HOME/bin/java -jar /path/to/lavalink_v3/Lavalink.jar


dann

Code:
chmod +x lavalink_start_v3.sh


und dann ausführen zum starten: ./lavalink_start_v3.sh

gleiches für lavalink v4

Vielen vielen Dank, dass war die Lösung nach der ich gesucht habe, klappt wunderbar^^


Besucht uns:
[Link: Registrierung erforderlich] | [Link: Registrierung erforderlich] | [Link: Registrierung erforderlich]

Vote für unser Rustserver
[Link: Registrierung erforderlich]

24.03.2024 23:16
 
Alle Beiträge dieses Benutzers finden Diese Nachricht in einer Antwort zitieren
Antwort schreiben  Thema schreiben 

Möglicherweise verwandte Themen...
Thema: Verfasser Antworten: Ansichten: Letzter Beitrag
  Java Error MC Server Rinschka 4 1.757 09.07.2018 07:38
Letzter Beitrag: T-I-M
  Server Resourcen sinnvoll nutzen gentlemon 17 2.620 30.04.2015 15:25
Letzter Beitrag: Dream
  Debian 7 64 Bit Installconfig bzw. Vollen HDD Speicher nutzen MADSTEVE 4 1.152 17.04.2014 07:34
Letzter Beitrag: MADSTEVE
  2 Domains auf einem Server verschiedene Verzeichnisse SH-Hosting 4 1.355 15.12.2013 22:32
Letzter Beitrag: m0rrisde
  Linux Rootserver - Java 1.7 deinstallieren + java 1.6 installieren minimal_warrior 4 5.790 01.11.2013 15:41
Letzter Beitrag: minimal_warrior

 Druckversion anzeigen
 Thema einem Freund senden
 Thema abonnieren
 Thema zu den Favoriten hinzufügen

Sponsor-Board.de

Community
Über uns
Partner
Powered by Mybb: Copyright 2002-2024 by MyBB Group - Deutsche-Übersetzung von Mybb.de
 
© 2007-2024 Sponsor-Board.de - Hosted by OVH

Willkommen auf SB!   Sie benötigen ein Sponsoring?   1. Anmelden   2. Sponsoring-Anfrage erstellen   3. Nachrichten von Sponsoren erhalten   Kostenlos!   Jetzt registrieren